Bug 175752 - [UPDATE] chinese/librime to 0.9.7
Summary: [UPDATE] chinese/librime to 0.9.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-01 07:30 UTC by lichray
Modified: 2013-02-04 00:50 UTC (History)
0 users

See Also:


Attachments
librime-0.9.7.patch (3.56 KB, patch)
2013-02-01 07:30 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2013-02-01 07:30:02 UTC
	
	Please bump chinese/fcitx-rime's revision at the same time.
Comment 1 Dmitry Marakasov freebsd_committer 2013-02-01 14:49:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-02-04 00:44:24 UTC
Author: amdmi3
Date: Mon Feb  4 00:44:10 2013
New Revision: 311529
URL: http://svnweb.freebsd.org/changeset/ports/311529

Log:
  - Update to 0.9.7
  
  PR:		175752
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Added:
  head/chinese/librime/files/
  head/chinese/librime/files/patch-CMakeLists.txt   (contents, props changed)
Modified:
  head/chinese/librime/Makefile
  head/chinese/librime/distinfo
  head/chinese/librime/pkg-plist

Modified: head/chinese/librime/Makefile
==============================================================================
--- head/chinese/librime/Makefile	Mon Feb  4 00:35:22 2013	(r311528)
+++ head/chinese/librime/Makefile	Mon Feb  4 00:44:10 2013	(r311529)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	librime
-PORTVERSION=	0.9.4
-PORTREVISION=	1
+PORTVERSION=	0.9.7
 CATEGORIES=	chinese textproc
 MASTER_SITES=	GOOGLE_CODE
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} brise-${DATA_VER}.tar.gz
@@ -21,15 +20,15 @@ LIB_DEPENDS=	boost_thread:${PORTSDIR}/de
 
 USE_CMAKE=	yes
 USE_GETTEXT=	yes
-USE_GNOME=	pkgconfig
+USE_PKGCONFIG=	yes
 USE_LDCONFIG=	yes
 USE_XORG=	xproto
 USE_PERL5_BUILD=	yes
 LDFLAGS+=	-lintl
 
+PLIST_SUB=	VER=${PORTVERSION}
+
 post-patch:     .SILENT
-	${REINPLACE_CMD} 's|$${LIB_INSTALL_DIR}/pkgconfig|$${prefix}/libdata/pkgconfig|' \
-		${WRKSRC}/CMakeLists.txt
 	${FIND} ${WRKSRC} \( -name '*.cc' -or -name '*.h' \) \
 		-exec ${PERL} -i -pe '$$. == 1 && s/^\xef\xbb\xbf//;' '{}' \;
 
@@ -45,7 +44,7 @@ post-install:
 	${INSTALL_DATA} ${DATASRC}/*.kct ${DATASRC}/*.bin ${DATADIR}/data/
 
 PROJECTHOST=	rimeime
-DATA_VER=	0.13
+DATA_VER=	0.16
 WRKSRC=		${WRKDIR}/${PORTNAME}
 DATASRC=	${WRKDIR}/tmp
 DATADIR=	${PREFIX}/share/rime

Modified: head/chinese/librime/distinfo
==============================================================================
--- head/chinese/librime/distinfo	Mon Feb  4 00:35:22 2013	(r311528)
+++ head/chinese/librime/distinfo	Mon Feb  4 00:44:10 2013	(r311529)
@@ -1,4 +1,4 @@
-SHA256 (librime-0.9.4.tar.gz) = 626082f5a2954686059445e414786691ee568777104ce8e093fbfd47c0095795
-SIZE (librime-0.9.4.tar.gz) = 2300407
-SHA256 (brise-0.13.tar.gz) = 72c7ea43b5baf972a1d9a6cccce5f860b73924b36e2b3f68822ac8329d1c11f3
-SIZE (brise-0.13.tar.gz) = 5368874
+SHA256 (librime-0.9.7.tar.gz) = 670ab6535bce9c44d2293f8b857ececbea6317b563c5686e750ffdf0532d85c2
+SIZE (librime-0.9.7.tar.gz) = 2535462
+SHA256 (brise-0.16.tar.gz) = a65693ed2bbf40ec579be8124d4cb909749a5a4dcd0e312d78891522c5eb881b
+SIZE (brise-0.16.tar.gz) = 6781320

Added: head/chinese/librime/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/librime/files/patch-CMakeLists.txt	Mon Feb  4 00:44:10 2013	(r311529)
@@ -0,0 +1,19 @@
+--- CMakeLists.txt.bak	2012-09-26 00:03:24.000000000 -0500
++++ CMakeLists.txt	2012-11-26 22:38:10.883043680 -0600
+@@ -1,5 +1,5 @@
+-set(CMAKE_USER_MAKE_RULES_OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/cmake/c_flag_overrides.cmake)
+-set(CMAKE_USER_MAKE_RULES_OVERRIDE_CXX ${CMAKE_CURRENT_SOURCE_DIR}/cmake/cxx_flag_overrides.cmake)
++set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -DNDEBUG")
++set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DNDEBUG")
+ 
+ project(rime)
+ cmake_minimum_required(VERSION 2.8)
+@@ -107,7 +107,7 @@ if(NOT BUILD_STATIC)
+   set(includedir "${CMAKE_INSTALL_PREFIX}/include")
+   configure_file(${PROJECT_SOURCE_DIR}/rime.pc.in ${PROJECT_BINARY_DIR}/rime.pc)
+   install(FILES include/rime_api.h DESTINATION include)
+-  install(FILES ${PROJECT_BINARY_DIR}/rime.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
++  install(FILES ${PROJECT_BINARY_DIR}/rime.pc DESTINATION ${prefix}/libdata/pkgconfig)
+   install(FILES cmake/RimeConfig.cmake DESTINATION share/cmake/rime)
+   if(BUILD_DATA)
+     install(FILES ${PROJECT_SOURCE_DIR}/data/default.yaml DESTINATION ${pkgdatadir})

Modified: head/chinese/librime/pkg-plist
==============================================================================
--- head/chinese/librime/pkg-plist	Mon Feb  4 00:35:22 2013	(r311528)
+++ head/chinese/librime/pkg-plist	Mon Feb  4 00:44:10 2013	(r311529)
@@ -3,7 +3,7 @@ bin/rime_dict_manager
 include/rime_api.h
 lib/librime.so
 lib/librime.so.0
-lib/librime.so.0.9.4
+lib/librime.so.%%VER%%
 libdata/pkgconfig/rime.pc
 share/cmake/rime/RimeConfig.cmake
 share/rime/data/cangjie5.prism.bin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2013-02-04 00:44:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!